unit MainFrm;

{$IFDEF FPC}
  {$MODE Delphi}
{$ENDIF}

interface

uses
{$IFNDEF FPC}
  Windows,
{$ELSE}
  LCLIntf, LCLType, LMessages,
{$ENDIF}
  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, MRVCamera, MRVCamView, MRVType;

type
  TfrmMain = class(TForm)
    RVCamera1: TRVCamera;
    RVCamera2: TRVCamera;
    RVCamView1: TRVCamView;
    rbCamera: TRadioGroup;
    RVCamera3: TRVCamera;
    RVCamera4: TRVCamera;
    RVCamera5: TRVCamera;
    RVCamera6: TRVCamera;
    Panel1: TPanel;
    procedure rbCameraClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure Init;
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}


procedure TfrmMain.FormCreate(Sender: TObject);
begin
  if RVCamera1.IsSupportedGStreamer then
    Panel1.Caption := 'GStreamer is available'
  else
    Panel1.Caption := 'GStreamer is NOT available';
  Init;
  rbCameraClick(nil);
end;
{------------------------------------------------------------------------------}
procedure TfrmMain.Init;
var i: Integer;
begin
  // ----- Camera 1 -----
  RVCamera1.Parameters.Alias := 'Foscam';
  RVCamera1.CameraHost := 'hausnikolaus.ftpserver.biz';
  RVCamera1.CameraPort := 9981;
  RVCamera1.UserName := 'webguest';
  RVCamera1.UserPassword := 'WG1234';
  RVCamera1.SearchCamera;
  // ----- Camera 2 -----
  RVCamera2.Parameters.Alias := 'warwick';
  RVCamera2.URL := 'http://www.warwick.ac.uk/newwebcam/cgi-bin/webcam.pl';
  // ----- Camera 3 -----
  RVCamera3.VideoDeviceIndex := 0;
  // ----- Camera 4 -----
  RVCamera4.Parameters.Alias := 'Ocean';
  RVCamera4.URL := 'http://www.broomecam.info/wp-content/uploads/';
  // ----- Camera 5 -----
  RVCamera5.Parameters.Alias := 'RTSP';
  RVCamera5.URL := 'rtsp://128.2.10.151:80/004/MLtalk2_10-17.mov';
  // ----- Camera 6 -----
  RVCamera6.Parameters.Alias := 'MPEG';
  RVCamera6.URL := 'http://download.blender.org/peach/bigbuckbunny_movies/big_buck_bunny_480p_surround-fix.avi';

  for i := 1 to 27 do
    RVCamera4.VideoImagesURLs.Add(Format('image%.5d.jpg', [i]));
  RVCamera4.CycleVideoImages := True;
end;
{------------------------------------------------------------------------------}
procedure TfrmMain.rbCameraClick(Sender: TObject);
begin
  RVCamView1.Camera.Abort;
  case rbCamera.ItemIndex of
    0: RVCamView1.VideoSource := RVCamera1;
    1: RVCamView1.VideoSource := RVCamera2;
    2: RVCamView1.VideoSource := RVCamera3;
    3: RVCamView1.VideoSource := RVCamera4;
    4: RVCamView1.VideoSource := RVCamera5;
    5: RVCamView1.VideoSource := RVCamera6;
  end;
  RVCamView1.Camera.PlayVideoStream;
end;




initialization



end.
